#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xAA,0x51,0x29,0x89,0x6A,0x26,0xE5,0x74,0x87,0x49,0x75,0xF9,
		0x38,0x7A,0x9F,0x2E,0xA1,0xC9,0x6C,0x75,0xCD,0x38,0x63,0x76,
		0xFE,0x8D,0xF5,0x0E,0x98,0x06,0xF9,0xB8,0x40,0xAC,0xA8,0x01,
		0x27,0x33,0xDD,0xCF,0x1B,0xA9,0xC3,0x52,0xA4,0xA8,0x23,0x88,
		0xC5,0xA6,0x56,0x1A,0x4F,0x87,0xB6,0x66,0xB0,0x1D,0xD2,0x6F,
		0xBC,0x65,0x97,0x73,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
